jm.gui.cpn

## Class StavePhraseProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - jm.gui.cpn.StavePhraseProperties

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

      public class StavePhraseProperties
      extends java.util.Properties

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StavePhraseProperties(Stave stave, Phrase phrase)`
    `StavePhraseProperties(java.lang.String midiFileName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isBassStave()`
    `boolean` | `isGrandStave()`
    `boolean` | `isPianoStave()`
    `boolean` | `isTrebleStave()`
    `void` | `updatePhrase(Phrase phrase)`
    `void` | `updateStave(Stave stave)`
    `void` | `writeToFile(java.lang.String midiFileName)`

    - ### Methods inherited from class java.util.Properties

      `getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StavePhraseProperties

          public StavePhraseProperties(java.lang.String midiFileName)
                                throws java.io.FileNotFoundException,
                                       java.io.IOException

      Throws:
        `java.io.FileNotFoundException`
        `java.io.IOException`

    - #### StavePhraseProperties

          public StavePhraseProperties(Stave stave,
                               Phrase phrase)

  - ### Method Detail

    - #### writeToFile

          public void writeToFile(java.lang.String midiFileName)
                           throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### updateStave

          public void updateStave(Stave stave)

    - #### updatePhrase

          public void updatePhrase(Phrase phrase)

    - #### isTrebleStave

          public boolean isTrebleStave()

    - #### isBassStave

          public boolean isBassStave()

    - #### isGrandStave

          public boolean isGrandStave()

    - #### isPianoStave

          public boolean isPianoStave()